DotsDocs
Payout agents

Create a Payout Agent

Create a payout agent with an empty reserved balance. Fund it with an allocation and issue it a credential before it can send payouts.

POST
/v2/payout-agents

Create a payout agent with an empty reserved balance. Fund it with an allocation and issue it a credential before it can send payouts.

AuthorizationBasic <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/payout-agents" \  -H "Content-Type: application/json" \  -d '{    "name": "Support refunds agent",    "max_payout_amount": 5000,    "spending_caps": [      {        "amount": 50000,        "window_seconds": 86400      }    ],    "recipient_restriction_enabled": true  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "object": "payout_agent",  "api_app_id": "ad6a2ad4-d593-4e3e-bfd5-50592ed119ca",  "name": "string",  "status": "active",  "paused_at": "2019-08-24T14:15:22Z",  "created": "2019-08-24T14:15:22Z",  "currency": "usd",  "available_balance": 0,  "committed_balance": 0,  "rules": {    "max_payout_amount": 0,    "recipient_restriction_enabled": true,    "spending_caps": [      {        "amount": 0,        "window_seconds": 0,        "used": 0,        "remaining": 0      }    ]  }}